Download it now!
Bug 129242 - FILEOPEN: DOCX: borders between cells in table are missing
Summary: FILEOPEN: DOCX: borders between cells in table are missing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Szabolcs Toth
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-06 15:27 UTC by Xisco Faulí
Modified: 2019-12-17 14:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.5 Master (7.05 KB, image/png)
2019-12-06 15:27 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-12-06 15:27:12 UTC
Created attachment 156363 [details]
comparison MSO 2010 and LibreOffice 6.5 Master

Steps to reproduce:
1. Open attachment 57859 [details] from bug 46821

-> Borders between cells in the table in the footer are missing

Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: b5a4570e214f0e965a8b32cee3c615856ae07ac4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-12-06 15:28:45 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8a59f18b6eb22c43ec10cdc29ba5a13d5feba4f0

author	Szabolcs Toth <szabolcs450@gmail.com>	2019-11-14 13:32:00 +0100
committer	László Németh <nemeth@numbertext.org>	2019-11-20 13:16:57 +0100
commit	8a59f18b6eb22c43ec10cdc29ba5a13d5feba4f0 (patch)
tree	34e7f8d3575a1b121ccc6f2f23c048931914abae
parent	57c6920fb04dacfd9ceaf87adff46d124c9e1925 (diff)
tdf#124399 DOCX import: don't apply inside borders to 1-cell tables

Bisected with: bibisect-linux64-6.5

Adding Cc: to Szabolcs Toth
Comment 2 Xisco Faulí 2019-12-06 16:27:37 UTC
attachment 57860 [details] from bug 46822 is also affected
Comment 3 Xisco Faulí 2019-12-06 16:46:10 UTC
attachment 39055 [details] from bug 30474 is also affected
Comment 4 Commit Notification 2019-12-16 08:13:34 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/dff3ae42d94fdf97c856c4a4d1e66234604927f4

tdf#129242 Regression fixed for one cell table borders

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-12-17 10:28:53 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: f86824cca0c442d371379d2ea0bff2241f18ab3d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Szabolcs, thanks for fixing this issue!
Comment 6 Commit Notification 2019-12-17 10:30:24 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/39e138902d05fbb00fda8003908c851d2f3ecb00

tdf#129242 Regression fixed for one cell table borders

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.